Package org.apache.ignite.internal.processors.query.schema.operation

## Class SchemaAlterTableAddColumnOperation

- java.lang.Object
- - org.apache.ignite.internal.processors.query.schema.operation.SchemaAbstractOperation
  - - org.apache.ignite.internal.processors.query.schema.operation.SchemaAbstractAlterTableOperation
    - - org.apache.ignite.internal.processors.query.schema.operation.SchemaAlterTableAddColumnOperation

All Implemented Interfaces:
  `Serializable`

    public class SchemaAlterTableAddColumnOperation
    extends SchemaAbstractAlterTableOperation

Schema index drop operation.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`SchemaAlterTableAddColumnOperation​(UUID opId, String cacheName, String schemaName, String tblName, List<QueryField> cols, boolean ifTblExists, boolean ifNotExists)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`List<QueryField>` `columns()`
`boolean` `ifNotExists()`
`boolean` `ifTableExists()`
`String` `tableName()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.query.schema.operation.SchemaAbstractOperation

`cacheName, id, schemaName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SchemaAlterTableAddColumnOperation

    public SchemaAlterTableAddColumnOperation​(UUID opId,
                                              String cacheName,
                                              String schemaName,
                                              String tblName,
                                              List<QueryField> cols,
                                              boolean ifTblExists,
                                              boolean ifNotExists)

Constructor.

Parameters:
  `opId` - Operation id.
  `schemaName` - Schema name.
  `tblName` - Target table name.
  `cols` - Columns to add.
  `ifTblExists` - Ignore operation if target table doesn't exist.
  `ifNotExists` - Ignore operation if column exists.

### Method Detail

#### ifTableExists

    public boolean ifTableExists()

Returns:
  Ignore operation if table doesn't exist.

#### columns

    public List<QueryField> columns()

Returns:
  Columns to add.

#### ifNotExists

    public boolean ifNotExists()

Returns:
  Quietly abort this command if column exists (honored only in single column case).

#### tableName

    public String tableName()

Returns:
  Target table name.

#### toString

    public String toString()

Overrides:
  `toString` in class `SchemaAbstractOperation`